> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update progress for cards in a shared flashcard set



## OpenAPI

````yaml post /update-shared-card-progress
openapi: 3.1.0
info:
  title: DolphinFlashcardApp API
  version: '1.0'
  summary: Manage flashcards
  description: >-
    Set up user accounts, create or manage flashcards, set learning goals, and
    track performances with user's heatmap and streak data. Data is available in
    JSON format only. <br></br>**Note**: All parameters are case-sensitive.
    Request body parameters are required, but the query parameters are
    optional. 
  contact:
    name: Dolphin Flashcards
    url: https://dolphinflashcards.com/contact
    email: dolphinflashcards@outlook.com
  license:
    name: MIT
    url: https://github.com/jacob-macleod/Dolphin-Flashcard-App/blob/main/LICENSE
servers:
  - url: http://dolphinflashcards.com/api
    description: baseurl
security: []
tags:
  - name: Account
    description: Groups the endpoints required to create an account.
  - name: Card management
    description: Groups the endpoints required to create and manage flashcards.
  - name: Goal
    description: Groups the endpoints required to create and manage goals.
  - name: Statistics
    description: Groups the endpoints required to track heatmap and streak.
paths:
  /update-shared-card-progress:
    post:
      summary: Update progress for cards in a shared flashcard set
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                jwtToken:
                  type: string
                sharedFolderID:
                  type: string
                flashcardSetID:
                  type: string
                cardData:
                  type: array
                  items:
                    type: object
              required:
                - jwtToken
                - sharedFolderID
                - flashcardSetID
                - cardData
              example:
                jwtToken: ...
                sharedFolderID: folder-id
                flashcardSetID: set-id
                cardData:
                  - cardID: card1
                    review_status: '1.0'
                    last_review: 21/08/2025
      responses:
        '200':
          description: Progress updated
        '403':
          description: Not a member
        '500':
          description: Server error

````